Your account expired support, please renew to get your support.
Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #14399
    roozgar
    Support Expired

    We bought Smarthaus theme, we could install it once on WebHost but I can’t install it now on my Localhost and I receive this error during theme setup steps.

    —————————————————————————–
    Fatal error: Uncaught TypeError: method_exists(): Argument #1 ($object_or_class) must be of type object|string, bool given in C:\xampp\htdocs\wordpress\wp-content\plugins\woocommerce\packages\woocommerce-admin\src\PageController.php:359 Stack trace: #0 C:\xampp\htdocs\wordpress\wp-content\plugins\woocommerce\packages\woocommerce-admin\src\PageController.php(359): method_exists(false, ‘is_block_editor’) #1 C:\xampp\htdocs\wordpress\wp-content\plugins\woocommerce\packages\woocommerce-admin\includes\page-controller-functions.php(40): Automattic\WooCommerce\Admin\PageController->is_connected_page() #2 C:\xampp\htdocs\wordpress\wp-content\plugins\woocommerce\packages\woocommerce-admin\src\Loader.php(826): wc_admin_is_connected_page() #3 C:\xampp\htdocs\wordpress\wp-content\plugins\woocommerce\packages\woocommerce-admin\src\Loader.php(809): Automattic\WooCommerce\Admin\Loader::is_embed_page() #4 C:\xampp\htdocs\wordpress\wp-content\plugins\woocommerce\packages\woocommerce-admin\src\Loader.php(924): Automattic\WooCommerce\Admin\Loader::is_admin_or_embed_page() #5 C:\xampp\htdocs\wordpress\wp-includes\class-wp-hook.php(303): Automattic\WooCommerce\Admin\Loader::remove_notices(”) #6 C:\xampp\htdocs\wordpress\wp-includes\class-wp-hook.php(327): WP_Hook->apply_filters(NULL, Array) #7 C:\xampp\htdocs\wordpress\wp-includes\plugin.php(470): WP_Hook->do_action(Array) #8 C:\xampp\htdocs\wordpress\wp-content\themes\smarthaus\inc\merlin\class-merlin.php(549): do_action(‘admin_head’) #9 C:\xampp\htdocs\wordpress\wp-content\themes\smarthaus\inc\merlin\class-merlin.php(492): Merlin->header() #10 C:\xampp\htdocs\wordpress\wp-includes\class-wp-hook.php(301): Merlin->admin_page() #11 C:\xampp\htdocs\wordpress\wp-includes\class-wp-hook.php(327): WP_Hook->apply_filters(NULL, Array) #12 C:\xampp\htdocs\wordpress\wp-includes\plugin.php(470): WP_Hook->do_action(Array) #13 C:\xampp\htdocs\wordpress\wp-admin\admin.php(175): do_action(‘admin_init’) #14 C:\xampp\htdocs\wordpress\wp-admin\themes.php(10): require_once(‘C:\\xampp\\htdocs…’) #15 {main} thrown in C:\xampp\htdocs\wordpress\wp-content\plugins\woocommerce\packages\woocommerce-admin\src\PageController.php on line 359
    There has been a critical error on this website. Please check your site admin email inbox for instructions.

    Learn more about troubleshooting WordPress.
    ——————————————————————————–

    What does it mean? and what can I do?

    Thanks

    #14404

    Hi you,

    You are using PHP version 8.0?

    Currently, WordPress and Woocommerce do not support this PHP version, please use PHP 7.4 version for your website.

    #14423
    roozgar
    Support Expired

    Yes, I am.
    I’ll try php7 though it seems they begin supporting php8.
    https://github.com/woocommerce/woocommerce/issues/27674

    thank you a lot.

    • This reply was modified 9 months ago by roozgar.
    #14452

    Hi again,

    Actually woocommerce is still not stable on PHP version 8.0,

Viewing 4 posts - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.